Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsAuthorized files

Replace authorized Google Drive files

Replaces the tenant's authorized Google Drive asset ID allowlist for the resolved integration connection/environment.

POST
/api/v1/integrations/google-docs/authorized-files

Replaces the tenant's authorized Google Drive asset ID allowlist for the resolved integration connection/environment.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/integrations/google-docs/authorized-files" \  -H "Content-Type: application/json" \  -d '{    "mode": "replace",    "files": [      {        "id": "string"      }    ]  }'
{  "success": true,  "data": {    "connectionId": "string",    "environment": "dev",    "integrationUrl": "string",    "files": [      {        "id": "string",        "meta": {},        "name": "string",        "mimeType": "string",        "url": "string"      }    ],    "mode": "replace",    "fileCount": 0  }}

How is this guide?